#
# decodear.sh - decode arguments to ar
#
# $Id: decodear.sh,v 1.1.1.1 2003/05/18 22:48:30 jonm Exp $

DECLAREARRAY(ORIGCMDLINE,"$0" "$@")

ARMODE="$1"
case "$ARMODE" in
  *r*)
  	ARUPDATE=Y
	;;	
  *x*)
  	AREXTRACT=Y
	;;
  *)
  	echo "Lint AR only knows up to create/update or extract - mode $1" >&2
	;;
esac

# Check if need to skip over a positioning name - not interesting
# for a lint library
case "$1" in
  *a* | *b* | *i*)
	shift; shift;;
  *)
	shift;
esac

TARGET="$1"
shift

#
# (If given) save all of the OBJS into an array for lintstatlib to process
#
if (($# > 0))
then
	DECLAREARRAY(OBJS,"$@")
fi
