#
# decodecc.sh - decode arguments to cc
#
# $Id: decodecc.sh,v 1.1.1.1 2003/05/18 22:48:30 jonm Exp $


DECLAREARRAY(ORIGCMDLINE,"$0" "$@")

while [ $# -gt 0 ]
do
   case "$1" in
		-I)	INCS[${#INCS[*]}]="-I$2"; shift;;
		-I*)INCS[${#INCS[*]}]="$1";;
		-DPIC) TARGETLO=Y ; DEFS[${#DEFS[*]}]="$1";;
		-D)	DEFS[${#DEFS[*]}]="-D$2"; shift;;
		-D*)DEFS[${#DEFS[*]}]="$1";;
		-L)	LPATHS[${#LPATHS[*]}]="-L$2"; shift;;
		-L*)LPATHS[${#LPATHS[*]}]="$1";;
		-R)	LPATHS[${#LPATHS[*]}]="-L$2"; shift;;
		-R*)LPATHS[${#LPATHS[*]}]="-L${1##-R}";;
		-U)	DEFS[${#DEFS[*]}]="-U$2"; shift;;
		-U*)DEFS[${#DEFS[*]}]="$1";;
		-l*)LIBS[${#LIBS[*]}]="$1";;
		-c) COMPILEFLAG=Y;;
		-G | -shared | -symbolic) DYNLIB=Y;;
		-o) TARGET="$2"; shift;;
		-o*)TARGET="${1##-o}";;
		-*) ;; # Skip any unknown options...
		*.c | *.C | *.cpp)
		    SRCS[${#SRCS[*]}]="$1";;
		*.o | *.obj | *.lo)
		    OBJS[${#OBJS[*]}]="$1";;
		*.a | *.lib)LIBS[${#LIBS[*]}]="$1";;
		*.so*)
		    LIBS[${#LIBS[*]}]="$1";;
    esac
    shift
done
