#
# lintdynlib.sh - prepare lint library with arguments given as a dynamic library
#
# $Id: lintdynlib.sh,v 1.1.1.1 2003/05/18 22:48:30 jonm Exp $

#
# Create a lint library.  Expect all of the objects/libraries have
# been mapped onto lint versions.
#

#
# Remap the target name
#
LINTTARGET="${TARGET}"
for xform in "${TGTXFORMS[@]}"
do
	LINTTARGET=$(echo "${LINTTARGET}" | sed -e "$xform")
done

echo
echo "Creating lint dynamic library ${LINTTARGET} from ${SRCS[@]} ${OBJS[@]} ${LIBS[@]}"
echo
test -n "$LINTDBG" && echo Running: ${LINT} ${LINTLDFLAGS} "${INCS[@]}" "${DEFS[@]}" ${LINTLIBFLAGS} ${LINTLIBTGT}${LINTTARGET} "${LINTLIBS[@]}" "${SRCS[@]}" "${OBJS[@]}"

${LINT} ${LINTLDFLAGS} "${INCS[@]}" "${DEFS[@]}" ${LINTLIBFLAGS} ${LINTLIBTGT}${LINTTARGET} "${LINTLIBS[@]}" "${SRCS[@]}" "${OBJS[@]}"
